{% extends 'baseprintpress/base.html.jinja' %}
{% from 'epijats/lyon.html.jinja'
   import article_main_css_style, article_layout, link_fonts %}
{% set title = edition.title %}
{% set succ_dir = "../" if path_edid else "./" %}

{% macro correspond() %}
{% endmacro %}

{% macro cite() %}
{% endmacro %}

{% set website_hooks = {
  "correspond": correspond,
  "cite": cite,
  "static_dir": this.relroot + "static"
} %}

{% block head_content %}
  {{- super() -}}
  {{- link_fonts() -}}
  {% if edition %}
  <meta name="citation_pdf_url" content="/{{ edition.dsi }}/article.pdf">
  {% endif %}
  <meta property="og:title" content="{{ title }}" />
  <meta property="og:type" content="article" />
  {% if edition and not edition.obsolete %}
  <meta property="og:url" content="https://perm.pub/{{edition.base_dsi}}" />
  {% endif %}
  {% for a in edition.authors %}
  <meta property="article:author" content="{{a}}" />
  {% endfor %}
  <link rel="alternate" type="application/pdf" href="/{{ edition.dsi }}/article.pdf">
  {{- article_main_css_style(this.relroot + "static") -}}
  <style>
  .main-column {
    margin-left: auto;
    margin-right: auto;
    padding: 8px;
    text-align: center;
    text-align: left;
    --pdf-icon-height: 48px;
  }
  .main-column a code {
    white-space: nowrap;
  }
  .page-content-pillar {
    margin-left: auto;
    margin-right: auto;
    max-width: calc(74 * var(--ps-base-font-size));
  }
  .article-actions-band {
    padding-left: var(--ps-device-margin-left);
    padding-right: var(--ps-device-margin-right);
  }
  .article-actions-band .btn-article {
    margin-top: 2rem;
  }
  .article-action-button {
    display: inline-block;
    margin-right: 1.5rem;
    margin-bottom: 2rem;
  }
  .btn-article {
    --btn-color: #04b;
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--btn-color);
    --bs-btn-border-color: var(--btn-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #0b5ed7;
    --bs-btn-hover-border-color: #0a58ca;
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #0a58ca;
    --bs-btn-active-border-color: #0a53be;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--btn-color);
    --bs-btn-disabled-border-color: var(--btn-color);
  }
  a.btn-article, a.btn-article:visited {
    color: var(--bs-btn-color);
  }

  .article-nav {
    border-bottom: 2px solid #ccc;
    padding: 8px var(--ps-device-margin-right) 16px var(--ps-device-margin-left);
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.25rem;
  }
  .article-nav .dropdown {
    display: inline-block;
  }
  .info-link .bi {
    font-size: 1.875rem;
    margin-left: 0.5em;
    width: 1em;
    height: 1em;
    color: #6c757d;
  }
  .pdf-link img {
    height: var(--pdf-icon-height);
  }
  </style>
{% endblock head_content %}

{% macro pdf_link() %}
  <div class="pdf-link">
    {% set pdf_dir = "." if path_edid == edition.edid else succ_dir ~ edition.edid %}
    <a href="{{pdf_dir}}/article.pdf">
      <img src="{{this.relroot}}static/PDF_file_icon.svg" alt="PDF file">
    </a>
  </div>
{% endmacro %}

{% block torso_content %}
<div class="main-column">

<div class="page-content-pillar">

<div class="article-nav">
  <div>
    {% if edition %}
    <div class="dropdown">
      <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
        View editions
      </button>
      <ul class="dropdown-menu">
      {% for ed in succession.editions|reverse %}
        {% if ed.listed or edition.unlisted %}
        <li>
          <a class="dropdown-item" href="{{succ_dir ~ ed.edid}}/">
            ed. {{ed.edid}} &ensp; {{ed.date}}
          </a>
        </li>
        {% endif %}
      {% endfor %}
      </ul>
    </div>
    {% endif %}
    <a class="info-link" href="{{succ_dir}}about">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-info-circle" viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
        <path d="m8.93 6.588-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0z"/>
      </svg>
    </a>
  </div>
  {{- pdf_link() }}
</div>{# article-nav #}

{% if edition %}
  <div class="eprint">
    {{- article_layout(edition, {'dsi_domain': "perm.pub"}, website_hooks) -}}
  </div><!-- eprint -->
{% else %}
  <p class="no-editions">
  This document succession contains only unlisted editions.
  </p>
{% endif %}

</div><!-- page-content-pillar -->

<script src="{{bootstrap}}/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>

</div><!--main-column-->
{% endblock torso_content %}
